SingleMtxDest Component

SingleMtxDest

Description

This scripted component is designed for use in the BBC Academy Wood Norton BNCS installation where a destination selector is required for a single layer matrix (ie video or audio only).

The panel designer passes the instance name to the script component host. The instance provides the matrix id and the destination id that are used by both button and current source display. The component exchanges messages with its host to indicate the destination number that has been selected. The message should be sent to all instances of the component which causes the originating button to highlight and any other active button to deselect. The selected destination should also be sent to the component that implements the take action. If the component receives a selection value of -1, it deselects any active selections.

This component uses a component mtxdestmimic to provide the monitoring of the destination and display the current source.

Commands

Name | Type | Use
instance | mandatory | Instance name that defines the matrix and destination
namesDatabase | optional | The database number that provides the name on the destination button. The default value is database 1.
buttonlow | mandatory | The stylesheet name that defines the button look when deselected.
buttonhigh | mandatory | The stylesheet name that defines the button look when selected.
umdstatesheet | mandatory | The stylesheet name that defines the look of the source umd display.
selected=value | control | Index of currently selected destination. If this index matches the current button destination is will show the selected state. If it does not match, or has the value -1, the button will deselect.

Notifications

Name | Use
selected=value | Index of selected destination.

Stylesheets

No pre-assigned state sheets are used by this component.

Developers Notes

This component is intended for use with the wildcard capability of the connections engine. If all destination buttons have a name that starts Dest_ and is followed by numbers, eg Dest_03 using a message source of Dest_* and a message destination also of Dest_* the buttons will have only a single active destination. A CLEAR button can deselect all buttons by sending a selected=-1 message to Dest_*
Copyright BBC 2017